Bug 1144420 - [abrt] gnome-software: g_type_check_instance_cast(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: g_type_check_instance_cast(): gnome-software killed by...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9bd02f714488730431ac8ea3f81...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-19 10:55 UTC by icywind90
Modified: 2015-10-09 06:14 UTC (History)
2 users (show)

Fixed In Version: gnome-software-3.18.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-09 06:14:33 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (50.25 KB, text/plain)
2014-09-19 10:55 UTC, icywind90
no flags Details
File: cgroup (190 bytes, text/plain)
2014-09-19 10:55 UTC, icywind90
no flags Details
File: core_backtrace (26.69 KB, text/plain)
2014-09-19 10:55 UTC, icywind90
no flags Details
File: dso_list (15.27 KB, text/plain)
2014-09-19 10:55 UTC, icywind90
no flags Details
File: environ (1.20 KB, text/plain)
2014-09-19 10:55 UTC, icywind90
no flags Details
File: exploitable (117 bytes, text/plain)
2014-09-19 10:55 UTC, icywind90
no flags Details
File: limits (1.29 KB, text/plain)
2014-09-19 10:55 UTC, icywind90
no flags Details
File: maps (73.41 KB, text/plain)
2014-09-19 10:55 UTC, icywind90
no flags Details
File: open_fds (2.38 KB, text/plain)
2014-09-19 10:55 UTC, icywind90
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2014-09-19 10:55 UTC, icywind90
no flags Details
File: var_log_messages (588 bytes, text/plain)
2014-09-19 10:55 UTC, icywind90
no flags Details

Description icywind90 2014-09-19 10:55:10 UTC
Version-Release number of selected component:
gnome-software-3.13.91-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-software
kernel:         3.16.2-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_type_check_instance_cast at gtype.c:4013
 #1 app_state_changed at gs-popular-tile.c:63
 #7 g_object_notify_by_spec_internal at gobject.c:1149
 #8 g_object_notify at gobject.c:1197
 #9 notify_idle_cb at gs-app.c:314
 #13 g_main_context_iteration at gmain.c:3795
 #14 g_application_run at gapplication.c:2282

Comment 1 icywind90 2014-09-19 10:55:13 UTC
Created attachment 939213 [details]
File: backtrace

Comment 2 icywind90 2014-09-19 10:55:14 UTC
Created attachment 939214 [details]
File: cgroup

Comment 3 icywind90 2014-09-19 10:55:16 UTC
Created attachment 939215 [details]
File: core_backtrace

Comment 4 icywind90 2014-09-19 10:55:17 UTC
Created attachment 939216 [details]
File: dso_list

Comment 5 icywind90 2014-09-19 10:55:18 UTC
Created attachment 939217 [details]
File: environ

Comment 6 icywind90 2014-09-19 10:55:19 UTC
Created attachment 939218 [details]
File: exploitable

Comment 7 icywind90 2014-09-19 10:55:21 UTC
Created attachment 939219 [details]
File: limits

Comment 8 icywind90 2014-09-19 10:55:23 UTC
Created attachment 939220 [details]
File: maps

Comment 9 icywind90 2014-09-19 10:55:24 UTC
Created attachment 939221 [details]
File: open_fds

Comment 10 icywind90 2014-09-19 10:55:25 UTC
Created attachment 939222 [details]
File: proc_pid_status

Comment 11 icywind90 2014-09-19 10:55:27 UTC
Created attachment 939223 [details]
File: var_log_messages

Comment 12 Fedora Update System 2015-10-07 13:21:28 UTC
gnome-software-3.18.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0

Comment 13 Fedora Update System 2015-10-07 16:27:25 UTC
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-software'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0

Comment 14 Fedora Update System 2015-10-09 06:14:12 UTC
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.